## org.apache.lucene.analysis.ru
Class RussianCharsets

    java.lang.Object
      org.apache.lucene.analysis.ru.RussianCharsets

    public class RussianCharsets

extends Object

RussianCharsets class contains encodings schemes (charsets) and toLowerCase() method implementation for russian characters in Unicode, KOI8 and CP1252. Each encoding scheme contains lowercase (positions 0-31) and uppercase (position 32-63) characters. One should be able to add other encoding schemes (like ISO-8859-5 or customized) by adding a new charset and adding logic to toLowerCase() method for that charset.

Version:
  $Id: RussianCharsets.java 564236 2007-08-09 15:21:19Z gsingers $

Field Summary
`static char[]` `CP1251`
`static char[]` `KOI8`
`static char[]` `UnicodeRussian`

Constructor Summary
`RussianCharsets()`

Method Summary
`static char` `toLowerCase(char letter, char[] charset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UnicodeRussian

    public static char[] UnicodeRussian

### KOI8

    public static char[] KOI8

### CP1251

    public static char[] CP1251

Constructor Detail

### RussianCharsets

    public RussianCharsets()

Method Detail

### toLowerCase

    public static char toLowerCase(char letter,
                                   char[] charset)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.